"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EventTriggerController = void 0;
const tslib_1 = require("tslib");
const core_1 = require("@loopback/core");
const rest_1 = require("@loopback/rest");
const core_2 = require("@sourceloop/core");
const loopback4_authentication_1 = require("loopback4-authentication");
const loopback4_authorization_1 = require("loopback4-authorization");
const keys_1 = require("../../../keys");
const models_1 = require("../../../models");
const http_stream_service_1 = require("../http-stream.service");
const baseUrl = '/events';
let EventTriggerController = class EventTriggerController {
    constructor(httpStream) {
        this.httpStream = httpStream;
    }
    async find(event) {
        await this.httpStream.triggerHandler({
            ...event,
            timestamp: new Date().getTime(),
        });
    }
};
exports.EventTriggerController = EventTriggerController;
tslib_1.__decorate([
    (0, loopback4_authentication_1.authenticate)("bearer" /* STRATEGY.BEARER */),
    (0, loopback4_authorization_1.authorize)({
        permissions: ["16007" /* TaskPermssionKey.TriggerEvent */],
    }),
    (0, rest_1.post)(`${baseUrl}/trigger`, {
        security: core_2.OPERATION_SECURITY_SPEC,
        responses: {
            [201 /* STATUS_CODE.CREATED */]: {
                description: 'Success response',
            },
        },
    }),
    tslib_1.__param(0, (0, rest_1.requestBody)({
        content: {
            [core_2.CONTENT_TYPE.JSON]: {
                schema: (0, rest_1.getModelSchemaRef)(models_1.Event, {
                    title: 'EventTrigger',
                    exclude: ['timestamp'],
                }),
            },
        },
    })),
    tslib_1.__metadata("design:type", Function),
    tslib_1.__metadata("design:paramtypes", [models_1.Event]),
    tslib_1.__metadata("design:returntype", Promise)
], EventTriggerController.prototype, "find", null);
exports.EventTriggerController = EventTriggerController = tslib_1.__decorate([
    (0, core_1.injectable)({ scope: core_1.BindingScope.SINGLETON }),
    tslib_1.__param(0, (0, core_1.inject)(keys_1.TaskServiceBindings.INCOMING_CONNECTOR)),
    tslib_1.__metadata("design:paramtypes", [http_stream_service_1.HttpStreamService])
], EventTriggerController);
//# sourceMappingURL=event-trigger.controller.js.map