import { IEvent } from '../../../interfaces';
import { WebhookSubscriptionRepository } from '../repositories';
import { ApiKeyService } from './api-key.service';
import { HttpClientService } from '../../../services';
export declare class WebhookService {
    private readonly webhookSubscriptionRepo;
    private readonly apiKeyService;
    private readonly httpClientService;
    constructor(webhookSubscriptionRepo: WebhookSubscriptionRepository, apiKeyService: ApiKeyService, httpClientService: HttpClientService);
    addToSubscription(url: string, key: string): Promise<void>;
    getUrlOfSubscritption(key: string): Promise<string | null>;
    triggerWebhook(event: IEvent): Promise<void>;
}
