import { ILogger } from '@sourceloop/core';
import { SQS } from 'aws-sdk';
import { IEventAdapter, IEventStreamHandler, IIncomingConnector, IOutgoingConnector } from '../../interfaces';
import { SQSConfig } from './types';
export declare class SqsStreamService<T> implements IIncomingConnector<T>, IOutgoingConnector<T> {
    private readonly settings;
    private readonly adapter;
    private readonly logger;
    constructor(settings: SQSConfig, adapter: IEventAdapter<SQS.Message, T>, logger: ILogger);
    private connection?;
    subscribe(handler: IEventStreamHandler<T>): Promise<void>;
    unsubscribe(): Promise<void>;
    publish(message: T): Promise<void>;
}
